{% load custom_tags %}
<div class="col-md-12 col-sm-12 col-xs-12">
    <div class="dashboard_graph">
        <h2>{{ titulo }} <small>{{ subtitulo }}</small></h2>
        <div id="chart-{{ titulo | slugify }}" class="demo-placeholder"></div>
        <div class="clearfix"></div>
    </div>
</div>
<script type="text/javascript">
    $(document).ready(function() {
        var elmId = "#chart-{{ titulo | slugify }}";

        let dados = {{ dados | jsonify_list | safe }};
        dados = dados.map((elm) => [ parseInt(elm['{{ time_field }}'])*1000, elm['{{ value_field }}']]);
        console.log(dados);

        if ($(elmId).length){
            $.plot( $(elmId), [ dados ], {
                xaxis: {
                    mode: "time",
                    timeformat: "%b/%Y",
                    monthNames: ["jan", "fev", "mar", "abr", "mai", "jun", "jul", "ago", "set", "out", "nov", "dez"],
                    timeBase: "milliseconds"
                }
            } );
        }
    });
</script>
